#include "error.h"
#include "wrap.h"
#include "my_time.h"

int check_time (struct timeval *past, long range, int max) {
    struct timeval *now; 
    int     res;

    now =(struct timeval *)Malloc(sizeof(struct timeval));
    Gettimeofday(now);
	
    now->tv_sec = now->tv_sec - past->tv_sec;
    now->tv_usec = now->tv_usec - past->tv_usec; 
    if ((now->tv_sec <0) || ((now->tv_usec <0) && (now->tv_sec ==0))){
	err_msg("Timer now < Timer past. Got new timer past\n");
	res=0;
	Gettimeofday(past);
    }
    else {
	if (now->tv_sec > 2000)
	    res=max;
	else {
	    res=(now->tv_sec*1000000+now->tv_usec)/range;
	}
    }
    if (res>max)
	res=max;
    free(now);
    return res;
} 