#ifndef _wrap_h_
#define _wrap_h_

#include "error.h"

#include <sys/types.h>
#include <sys/event.h>
#include <sys/time.h>
#include <sys/socket.h>
#include <sys/uio.h>

#include <stdlib.h>
#include <unistd.h>

int Socket(int, int, int);
void *Malloc(size_t);
void *Reallocf(void *,size_t);
void *Calloc(size_t,size_t);
int Write(int, void *, size_t);
ssize_t Read(int, void *, size_t);
int Fork();
int Kqueue();
int Kevent(int, const struct kevent *, int, struct kevent *, int, const struct timespec *);
int Bind(int, const struct sockaddr *, socklen_t);
int Listen(int, int);
int Accept(int, struct sockaddr *, socklen_t *);
int Connect(int, const struct sockaddr *, socklen_t);
int Gettimeofday(struct timeval *);
 
#endif